### Constructor

# Vips ThreadState new

#### Declaration [src]

    VipsThreadState*
    vips_thread_state_new (
      VipsImage* im,
      void* a
    )

#### Description

No description available.

#### Parameters

`im`

  Type: `VipsImage`

  No description available.

  The data is owned by the caller of the function.

`a`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `VipsThreadState`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.